## Uses of Interface
de.gebit.integrity.dsl.JavaClassReference

- Packages that use JavaClassReference
  Package | Description
  --- | ---
  de.gebit.integrity.classloading |
  de.gebit.integrity.dsl |
  de.gebit.integrity.dsl.impl |
  de.gebit.integrity.dsl.util |
  de.gebit.integrity.serializer |

- - ### Uses of JavaClassReference in de.gebit.integrity.classloading

    Methods in de.gebit.integrity.classloading with parameters of type JavaClassReference
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class<?>` | DefaultIntegrityClassLoader.`loadClass​(JavaClassReference aClassReference)` |
    `Class<?>` | IntegrityClassLoader.`loadClass​(JavaClassReference aClassReference)` | Load the class defined by the provided `JavaClassReference`.

  - ### Uses of JavaClassReference in de.gebit.integrity.dsl

    Methods in de.gebit.integrity.dsl that return JavaClassReference
    Modifier and Type | Method | Description
    --- | --- | ---
    `JavaClassReference` | DslFactory.`createJavaClassReference()` | Returns a new object of class 'Java Class Reference'.
    `JavaClassReference` | ForkDefinition.`getForkerClass()` | Returns the value of the 'Forker Class' containment reference.
    `JavaClassReference` | OperationDefinition.`getOperationType()` | Returns the value of the 'Operation Type' containment reference.
    `JavaClassReference` | TypedNestedObject.`getType()` | Returns the value of the 'Type' containment reference.

    Methods in de.gebit.integrity.dsl with parameters of type JavaClassReference
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | ForkDefinition.`setForkerClass​(JavaClassReference value)` | Sets the value of the '`Forker Class`' containment reference.
    `void` | OperationDefinition.`setOperationType​(JavaClassReference value)` | Sets the value of the '`Operation Type`' containment reference.
    `void` | TypedNestedObject.`setType​(JavaClassReference value)` | Sets the value of the '`Type`' containment reference.

  - ### Uses of JavaClassReference in de.gebit.integrity.dsl.impl

    Classes in de.gebit.integrity.dsl.impl that implement JavaClassReference
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `JavaClassReferenceImpl` | An implementation of the model object 'Java Class Reference'.

    Fields in de.gebit.integrity.dsl.impl declared as JavaClassReference
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected JavaClassReference` | ForkDefinitionImpl.`forkerClass` | The cached value of the '`Forker Class`' containment reference.
    `protected JavaClassReference` | OperationDefinitionImpl.`operationType` | The cached value of the '`Operation Type`' containment reference.
    `protected JavaClassReference` | TypedNestedObjectImpl.`type` | The cached value of the '`Type`' containment reference.

    Methods in de.gebit.integrity.dsl.impl that return JavaClassReference
    Modifier and Type | Method | Description
    --- | --- | ---
    `JavaClassReference` | DslFactoryImpl.`createJavaClassReference()`
    `JavaClassReference` | ForkDefinitionImpl.`getForkerClass()`
    `JavaClassReference` | OperationDefinitionImpl.`getOperationType()`
    `JavaClassReference` | TypedNestedObjectImpl.`getType()`

    Methods in de.gebit.integrity.dsl.impl with parameters of type JavaClassReference
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.notify.NotificationChain` | ForkDefinitionImpl.`basicSetForkerClass​(JavaClassReference newForkerClass, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | OperationDefinitionImpl.`basicSetOperationType​(JavaClassReference newOperationType, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | TypedNestedObjectImpl.`basicSetType​(JavaClassReference newType, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `void` | ForkDefinitionImpl.`setForkerClass​(JavaClassReference newForkerClass)`
    `void` | OperationDefinitionImpl.`setOperationType​(JavaClassReference newOperationType)`
    `void` | TypedNestedObjectImpl.`setType​(JavaClassReference newType)`

  - ### Uses of JavaClassReference in de.gebit.integrity.dsl.util

    Methods in de.gebit.integrity.dsl.util with parameters of type JavaClassReference
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | DslSwitch.`caseJavaClassReference​(JavaClassReference object)` | Returns the result of interpreting the object as an instance of 'Java Class Reference'.

  - ### Uses of JavaClassReference in de.gebit.integrity.serializer

    Methods in de.gebit.integrity.serializer with parameters of type JavaClassReference
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | AbstractDSLSemanticSequencer.`sequence_JavaClassReference​(org.eclipse.xtext.serializer.ISerializationContext context, JavaClassReference semanticObject)` | Contexts: JavaClassReference returns JavaClassReference Constraint: type=[JvmType|QualifiedJavaClassName]